# GuiItem
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.gui.objects.components

## Class GuiItem

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.gui.objects.components.GuiItem

    public class GuiItem
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`GuiItem(org.bukkit.inventory.ItemStack itemStack, java.lang.Object linkedObject)`
`GuiItem(org.bukkit.inventory.ItemStack itemStack, java.lang.Object linkedObject, int slot)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GuiItem

    public GuiItem(org.bukkit.inventory.ItemStack itemStack,
                   java.lang.Object linkedObject)

#### GuiItem

    public GuiItem(org.bukkit.inventory.ItemStack itemStack,
                   java.lang.Object linkedObject,
                   int slot)